session.turns.list()
curl --request GET \
--url https://api.paddock.build/v1/sessions/{id}/turns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/sessions/{id}/turns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/sessions/{id}/turns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/sessions/{id}/turns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"sessionId": "<string>",
"status": "running",
"origin": "user",
"inputSeqs": [
4503599627370495
],
"attempt": 2,
"error": {
"code": "harness_error",
"message": "<string>"
},
"retryAt": "2023-11-07T05:31:56Z",
"startedSeq": 4503599627370495,
"endedSeq": 4503599627370495,
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"timing": {
"totalMs": 1,
"phases": [
{
"kind": "sandbox",
"startMs": 123,
"durationMs": 1,
"messageId": "<string>"
}
]
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Messages and events
session.turns.list()
GET
/
sessions
/
{id}
/
turns
session.turns.list()
curl --request GET \
--url https://api.paddock.build/v1/sessions/{id}/turns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paddock.build/v1/sessions/{id}/turns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.paddock.build/v1/sessions/{id}/turns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.paddock.build/v1/sessions/{id}/turns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"sessionId": "<string>",
"status": "running",
"origin": "user",
"inputSeqs": [
4503599627370495
],
"attempt": 2,
"error": {
"code": "harness_error",
"message": "<string>"
},
"retryAt": "2023-11-07T05:31:56Z",
"startedSeq": 4503599627370495,
"endedSeq": 4503599627370495,
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"timing": {
"totalMs": 1,
"phases": [
{
"kind": "sandbox",
"startMs": 123,
"durationMs": 1,
"messageId": "<string>"
}
]
}
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}